Bug 8632 - tar doesn't correctly backup and restore filesystem sockets
Summary: tar doesn't correctly backup and restore filesystem sockets
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tar   
(Show other bugs)
Version: 6.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-19 20:57 UTC by nelson
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-07 17:47:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description nelson 2000-01-19 20:57:08 UTC
If I tar a file that's a filesystem socket like this one:
  srwxrwxrwx   1 root     root            0 Jan 16 12:46 /dev/gpmctl=
and then untar it (as root), I get a named pipe:
  prwxr-xr-x   1 root     root            0 Jan 16 12:46 dev/gpmctl|

This is tar (GNU tar) 1.13.11, as packaged in Redhat 6.1 as 1.13.11-1

I have also submitted this bug to bug-tar@gnu.org

Comment 1 Jeff Johnson 2000-01-20 21:38:59 UTC
You might try tar-1.13.17-1 from Raw Hide.

Comment 2 Bernhard Rosenkraenzer 2000-02-07 17:47:59 UTC
This is fixed in 1.13.1x


Note You need to log in before you can comment on or make changes to this bug.